
package com.localmatters.mobile.horoscope.mag;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for HoroscopeListing complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HoroscopeListing">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Message" type="{http://horoscopes.myareaguide.com}StatusMessage" minOccurs="0"/>
 *         &lt;element name="Horoscope" type="{http://horoscopes.myareaguide.com}Horoscope" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Copyright" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="date" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HoroscopeListing", propOrder = {
    "message",
    "horoscope",
    "copyright"
})
public class HoroscopeListing {

    @XmlElement(name = "Message")
    protected StatusMessage message;
    @XmlElement(name = "Horoscope")
    protected List<Horoscope> horoscope;
    @XmlElement(name = "Copyright")
    protected String copyright;
    @XmlAttribute
    protected String date;

    /**
     * Gets the value of the message property.
     * 
     * @return
     *     possible object is
     *     {@link StatusMessage }
     *     
     */
    public StatusMessage getMessage() {
        return message;
    }

    /**
     * Sets the value of the message property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatusMessage }
     *     
     */
    public void setMessage(StatusMessage value) {
        this.message = value;
    }

    /**
     * Gets the value of the horoscope property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the horoscope property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getHoroscope().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Horoscope }
     * 
     * 
     */
    public List<Horoscope> getHoroscope() {
        if (horoscope == null) {
            horoscope = new ArrayList<Horoscope>();
        }
        return this.horoscope;
    }

    /**
     * Gets the value of the copyright property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCopyright() {
        return copyright;
    }

    /**
     * Sets the value of the copyright property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCopyright(String value) {
        this.copyright = value;
    }

    /**
     * Gets the value of the date property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDate() {
        return date;
    }

    /**
     * Sets the value of the date property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDate(String value) {
        this.date = value;
    }

}
