
package com.localmatters.mobile.horoscope.mag;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.localmatters.mobile.horoscope.mag package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Horoscopes_QNAME = new QName("http://horoscopes.myareaguide.com", "Horoscopes");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.localmatters.mobile.horoscope.mag
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetHoroscopes }
     * 
     */
    public GetHoroscopes createGetHoroscopes() {
        return new GetHoroscopes();
    }

    /**
     * Create an instance of {@link GetHoroscopesResponse }
     * 
     */
    public GetHoroscopesResponse createGetHoroscopesResponse() {
        return new GetHoroscopesResponse();
    }

    /**
     * Create an instance of {@link GetHoroscopesByDateResponse }
     * 
     */
    public GetHoroscopesByDateResponse createGetHoroscopesByDateResponse() {
        return new GetHoroscopesByDateResponse();
    }

    /**
     * Create an instance of {@link HoroscopeListing }
     * 
     */
    public HoroscopeListing createHoroscopeListing() {
        return new HoroscopeListing();
    }

    /**
     * Create an instance of {@link Horoscope }
     * 
     */
    public Horoscope createHoroscope() {
        return new Horoscope();
    }

    /**
     * Create an instance of {@link GetHoroscopesByDate }
     * 
     */
    public GetHoroscopesByDate createGetHoroscopesByDate() {
        return new GetHoroscopesByDate();
    }

    /**
     * Create an instance of {@link StatusMessage }
     * 
     */
    public StatusMessage createStatusMessage() {
        return new StatusMessage();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HoroscopeListing }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://horoscopes.myareaguide.com", name = "Horoscopes")
    public JAXBElement<HoroscopeListing> createHoroscopes(HoroscopeListing value) {
        return new JAXBElement<HoroscopeListing>(_Horoscopes_QNAME, HoroscopeListing.class, null, value);
    }

}
